#!/usr/bin/python
# -*- coding: utf-8 -*-

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
# Author: Tomas "Tojaj" Mlcoch (xtojaj gmail dot com)
# Web: http://tojaj.com
#
# Copyright 2010 Tomas Mlcoch


import sys
import PyQt4.QtGui

from core.window import MainWindow

class GuiInterface(object):
    """GUI interface object for PyPing."""

    def __init__(self, model=None, lock=None):
        self.model = model
        self.lock = lock

    def set_model(self, model):
        """Sets up data model."""
        self.model = model

    def set_lock(self, lock):
        """Sets up lock for access to data model."""
        self.lock = lock

    def warning_msg(self, msg):
        """Shows warning message before start main loop.
        For situations like wrong parameters or low permissions."""
        app = PyQt4.QtGui.QApplication(sys.argv) 
        PyQt4.QtGui.QMessageBox.warning(None, "Warning", msg, 'Ok')
        app.quit()        

    def run(self):
        """Starts main event loop of graphic interface."""
        app = PyQt4.QtGui.QApplication(sys.argv) 
        win = MainWindow(self.model, self.lock) 
        win.setWindowTitle('PyPinger')
        win.show() 
        return app.exec_()
