#!/usr/bin/python
# -*- coding: utf-8 -*-

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
# Author: Tomas "Tojaj" Mlcoch (xtojaj gmail dot com)
# Web: http://tojaj.com
#
# Copyright 2010 Tomas Mlcoch

import logging
import logging.handlers

LOG_FILE = "status.log"


class NullHandler(logging.Handler):
    def emit(self, record):
        pass

logger = logging.getLogger("pypinger")
logger.setLevel(logging.INFO)

logger.addHandler(NullHandler())

def init():
    global logger

    # Logs format
    formatter = logging.Formatter("[%(asctime)s] %(message)s")

    # Log file
    file_handler = logging.handlers.RotatingFileHandler(LOG_FILE, 'a', 4000000)
    file_handler.setLevel(logging.NOTSET)
    file_handler.setFormatter(formatter)
    logger.addHandler(file_handler)
